Portfolio

portfolio_asset.bulkDocumentUpload

POST/portfolio/assets/{asset}/documents/bulk-upload

Path parameters

  • assetintegerRequired#

    The asset ID

Request body

application/json, required · PortfolioBulkInvestorDocumentUploadRequest

  • filesobject[]Required#
  • investor_idsinteger[]Required#
  • notifyboolean#
{
  "files": [
    {
      "key": "string",
      "filename": "string",
      "mime_type": "application/pdf"
    }
  ],
  "investor_ids": [
    1
  ],
  "notify": true
}

Responses

202
{
  "data": {
    "guid": "string",
    "investor_count": 1,
    "file_count": 1,
    "skipped_file_keys": [
      null
    ],
    "skipped_investor_ids": [
      null
    ]
  }
}
403

Authorization error

404

Not found

422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/assets/{asset}/documents/bulk-upload\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "files": [
    {
      "key": "string",
      "filename": "string",
      "mime_type": "application/pdf"
    }
  ],
  "investor_ids": [
    1
  ],
  "notify": true
}'